import NotFound from "@/components/not-found";
import layout from "@/components/layout";

export default [
  {
    path: "/",
    component: layout,
    // redirect: "/home",
    redirect: "/login",
    children: [
      {
        path: "home",
        name: "home",
        meta: { title: "首页" },
        component: () => import("@/views/Home")
      },
      {
        path: "engineeringWorkManagement",
        name: "engineeringWorkManagement",
        meta: { title: "工种管理" },
        component: () => import("@/views/engineeringWorkManagement/engineeringWorkList")
      },
    ]
  },
  {
    path: "*",
    name: "error",
    component: NotFound
  }
];
