
const state = {
  screenHeight: 0, // 网页内容区域可视化高度值
  engineeringWorkList: [], // 工种类型列表
  examQuestionTypeConditionParentList: [], // 试题类型列表-父类

};

const mutations = {
  // 设置浏览器高度
  SET_SCREENHEIGHT: (state, heightVal) => {
    state.screenHeight = heightVal;
  },
  // 存储工种类别列表数据
  SET_ENGINEERING_WORK_LIST: (state, list) => {
    state.engineeringWorkList = list || []
  },
  // 存储试题类型列表数据
  SET_EXAM_QUESTION_TYPE_CONDITION_PARENT: (state, list) => {
    state.examQuestionTypeConditionParentList = list || []
  },
};

const actions = {};

export default {
  namespaced: true,
  state,
  mutations,
  actions
};
