import layout from '@/components/layout';
export default {
  path: '/user',
  meta: { title: '用户管理' },
  redirect: '/user/list',
  component: layout,
  children: [
    {
      path: 'list',
      name: 'user-list',
      meta: { title: '账号管理' },
      component: () =>
        import('@/views/user/userManagementList'),
    }
  ],
};
